summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Pierre Cazenave <pwcazenave@gmail.com>2010-05-11 20:01:58 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:58 +0200
commita50a71b73c947bea8b2b1d0b32c793f4dc57ed34 (patch)
tree39640d47519e102afc7007cb52f739ee74a7fc21
parentc3626a392f5d6116a4f998ec41f8bc8dbe125e9b (diff)
downloadslackbuilds-a50a71b73c947bea8b2b1d0b32c793f4dc57ed34.tar.gz
slackbuilds-a50a71b73c947bea8b2b1d0b32c793f4dc57ed34.tar.xz
system/fish: Added to 12.0 repository
-rw-r--r--system/fish/README14
-rw-r--r--system/fish/doinst.sh15
-rw-r--r--system/fish/fish.SlackBuild68
-rw-r--r--system/fish/fish.info8
-rw-r--r--system/fish/slack-desc19
5 files changed, 124 insertions, 0 deletions
diff --git a/system/fish/README b/system/fish/README
new file mode 100644
index 0000000000..23d9f9a9b1
--- /dev/null
+++ b/system/fish/README
@@ -0,0 +1,14 @@
+fish (Friendly Interactive SHell) is a user friendly command line shell
+for UNIX-like operating systems.
+
+Post installation, fish outputs the following message regarding setting up
+fish as your primary shell:
+ To run fish, type 'fish' in your terminal.
+To use fish as your login shell:
+ * add the line '/usr/bin/fish' to the file '/etc/shells'.
+ * use the command 'chsh -s /usr/bin/fish'.
+
+This package will potentially conflict with the /usr/games/fish binary
+from the y/bsdgames package. In a stock installation with default PATH
+ordering, /usr/bin should be checked before /usr/games, so it shouldn't
+be an issue, but we thought it was worth noting just in case.
diff --git a/system/fish/doinst.sh b/system/fish/doinst.sh
new file mode 100644
index 0000000000..d34cf8602d
--- /dev/null
+++ b/system/fish/doinst.sh
@@ -0,0 +1,15 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/fish/config.fish.new
+
diff --git a/system/fish/fish.SlackBuild b/system/fish/fish.SlackBuild
new file mode 100644
index 0000000000..1f0d816d74
--- /dev/null
+++ b/system/fish/fish.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for the fish shell
+
+# Pierre Cazenave pwcazenave@gmail.com
+
+PRGNAM=fish
+VERSION=1.23.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var
+
+make
+make install DESTDIR=$PKG
+
+# Let's not clobber the config
+mv $PKG/etc/fish/config.fish $PKG/etc/fish/config.fish.new
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc
+mv $PKG/usr/share/doc/fish $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rmdir $PKG/usr/share/doc
+( cd $PKG/usr/doc ; ln -s $PRGNAN-$VERSION $PRGNAM )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/fish/fish.info b/system/fish/fish.info
new file mode 100644
index 0000000000..61da4cdc81
--- /dev/null
+++ b/system/fish/fish.info
@@ -0,0 +1,8 @@
+PRGNAM="fish"
+VERSION="1.23.0"
+HOMEPAGE="http://fishshell.org/"
+DOWNLOAD="http://fishshell.org/files/1.23.0/fish-1.23.0.tar.bz2"
+MD5SUM="aa2f09bb54652b16bf4f7708848a7416"
+MAINTAINER="Pierre Cazenave"
+EMAIL="pwcazenave@gmail.com"
+APPROVED="rworkman"
diff --git a/system/fish/slack-desc b/system/fish/slack-desc
new file mode 100644
index 0000000000..43a0bbd939
--- /dev/null
+++ b/system/fish/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler--------------------------------------------------------|
+fish: fish (Friendly Interactive SHell)
+fish:
+fish: fish is a user friendly command line shell for UNIX-like systems.
+fish:
+fish: fish includes case insensitive completions, a multiline editing
+fish: system, a new and simplified key binding system, and a large number
+fish: of command specific completions.
+fish:
+fish: http://fishshell.org/
+fish:
+fish: